Old TPU, not work.

I have another's files TPU and descriptions of entering procedures, but without an initial code. With connection these of TPU in Turbo Pascal 6.0 or Borland Pascal 7.0 there is a mistake:
Error 72: Unit file format error.
But in the description TPU is specified, that Languages Turbo Pascal Ver.5.0
And higher.
What I can make?
kremAsked:
Who is Participating?
 
omsecConnect With a Mentor Commented:
Hi,

You can't use compiled unit code (.TPU) from anolder or a newer version in another. this means, TP 6 - Units won't work in TP/BP7
or any other version. in any way, you need its source codes to re-compile it and make it compatible with the new version. If you don't have the source, sorry, there's nothing you can do, becouse borland never released informations about the file structures of TPU - Files, so nobody can write a program or utility to convert old TPUs to newer format. Only the compiler can do it, with the original source codes of the unit.
0
 
kremAuthor Commented:
Hi.
OK if I shall receive old version Turbo Pascal, whether can it
To me to help, and if can, how?
0
All Courses

From novice to tech pro — start learning today.